ServerObject (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class ServerObject

- java.lang.Object
- - javax.management.NotificationBroadcasterSupport
  - - org.apache.geode.tools.pulse.tests.ServerObject

- All Implemented Interfaces:
    javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, ServerObjectMBean

      public class ServerObject
      extends javax.management.NotificationBroadcasterSupport
      implements ServerObjectMBean

- - ### Field Summary

    - ### Fields inherited from interface org.apache.geode.tools.pulse.tests.ServerObjectMBean

      `OBJECT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerObject(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAverageReads()`
    `double` | `getAverageWrites()`
    `int` | `getCurrentQueryCount()`
    `double` | `getDiskReadsRate()`
    `double` | `getDiskWritesRate()`
    `int` | `getDistributedSystemId()`
    `long` | `getJVMPauses()`
    `int` | `getLocatorCount()`
    `long` | `getMaxMemory()`
    `int` | `getMemberCount()`
    `int` | `getNumClients()`
    `int` | `getNumRunningFunctions()`
    `int` | `getNumSubscriptions()`
    `double` | `getQueryRequestRate()`
    `long` | `getRegisteredCQCount()`
    `long` | `getTotalDiskUsage()`
    `long` | `getTotalHeapSize()`
    `int` | `getTotalRegionCount()`
    `long` | `getTotalRegionEntryCount()`
    `int` | `getTransactionCommitted()`
    `int` | `getTransactionRolledBack()`
    `long` | `getUsedHeapSize()`
    `long` | `getUsedMemory()`
    `java.lang.String[]` | `listCacheServers()`
    `java.lang.String[]` | `listServers()`
    `java.lang.String` | `queryData(java.lang.String p0, java.lang.String p1, int p2)`
    `javax.management.openmbean.TabularData` | `viewRemoteClusterStatus()`

    - ### Methods inherited from class javax.management.NotificationBroadcasterSupport

      `addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerObject

          public ServerObject(java.lang.String name)

  - ### Method Detail

    - #### listCacheServers

          public java.lang.String[] listCacheServers()

      Specified by:
        `listCacheServers` in interface `ServerObjectMBean`

    - #### listServers

          public java.lang.String[] listServers()

      Specified by:
        `listServers` in interface `ServerObjectMBean`

    - #### viewRemoteClusterStatus

          public javax.management.openmbean.TabularData viewRemoteClusterStatus()

      Specified by:
        `viewRemoteClusterStatus` in interface `ServerObjectMBean`

    - #### getMemberCount

          public int getMemberCount()

      Specified by:
        `getMemberCount` in interface `ServerObjectMBean`

    - #### getNumClients

          public int getNumClients()

      Specified by:
        `getNumClients` in interface `ServerObjectMBean`

    - #### getDistributedSystemId

          public int getDistributedSystemId()

      Specified by:
        `getDistributedSystemId` in interface `ServerObjectMBean`

    - #### getLocatorCount

          public int getLocatorCount()

      Specified by:
        `getLocatorCount` in interface `ServerObjectMBean`

    - #### getTotalRegionCount

          public int getTotalRegionCount()

      Specified by:
        `getTotalRegionCount` in interface `ServerObjectMBean`

    - #### getNumRunningFunctions

          public int getNumRunningFunctions()

      Specified by:
        `getNumRunningFunctions` in interface `ServerObjectMBean`

    - #### getRegisteredCQCount

          public long getRegisteredCQCount()

      Specified by:
        `getRegisteredCQCount` in interface `ServerObjectMBean`

    - #### getNumSubscriptions

          public int getNumSubscriptions()

      Specified by:
        `getNumSubscriptions` in interface `ServerObjectMBean`

    - #### getTransactionCommitted

          public int getTransactionCommitted()

      Specified by:
        `getTransactionCommitted` in interface `ServerObjectMBean`

    - #### getTransactionRolledBack

          public int getTransactionRolledBack()

      Specified by:
        `getTransactionRolledBack` in interface `ServerObjectMBean`

    - #### getTotalHeapSize

          public long getTotalHeapSize()

      Specified by:
        `getTotalHeapSize` in interface `ServerObjectMBean`

    - #### getUsedHeapSize

          public long getUsedHeapSize()

      Specified by:
        `getUsedHeapSize` in interface `ServerObjectMBean`

    - #### getMaxMemory

          public long getMaxMemory()

      Specified by:
        `getMaxMemory` in interface `ServerObjectMBean`

    - #### getUsedMemory

          public long getUsedMemory()

      Specified by:
        `getUsedMemory` in interface `ServerObjectMBean`

    - #### getTotalRegionEntryCount

          public long getTotalRegionEntryCount()

      Specified by:
        `getTotalRegionEntryCount` in interface `ServerObjectMBean`

    - #### getCurrentQueryCount

          public int getCurrentQueryCount()

      Specified by:
        `getCurrentQueryCount` in interface `ServerObjectMBean`

    - #### getTotalDiskUsage

          public long getTotalDiskUsage()

      Specified by:
        `getTotalDiskUsage` in interface `ServerObjectMBean`

    - #### getDiskWritesRate

          public double getDiskWritesRate()

      Specified by:
        `getDiskWritesRate` in interface `ServerObjectMBean`

    - #### getAverageWrites

          public double getAverageWrites()

      Specified by:
        `getAverageWrites` in interface `ServerObjectMBean`

    - #### getAverageReads

          public double getAverageReads()

      Specified by:
        `getAverageReads` in interface `ServerObjectMBean`

    - #### getQueryRequestRate

          public double getQueryRequestRate()

      Specified by:
        `getQueryRequestRate` in interface `ServerObjectMBean`

    - #### getDiskReadsRate

          public double getDiskReadsRate()

      Specified by:
        `getDiskReadsRate` in interface `ServerObjectMBean`

    - #### getJVMPauses

          public long getJVMPauses()

      Specified by:
        `getJVMPauses` in interface `ServerObjectMBean`

    - #### queryData

          public java.lang.String queryData(java.lang.String p0,
                                            java.lang.String p1,
                                            int p2)

      Specified by:
        `queryData` in interface `ServerObjectMBean`